%{!?__pear:       %define __pear       %{_bindir}/pear}
%{!?pear_phpdir:  %define pear_phpdir  %(%{__pear} config-get php_dir  2>/dev/null || echo 'None')}
%{!?pear_docdir:  %define pear_docdir  %(%{__pear} config-get doc_dir  2>/dev/null || echo 'None')}
%{!?pear_testdir: %define pear_testdir %(%{__pear} config-get test_dir 2>/dev/null || echo 'None')}
%{!?pear_datadir: %define pear_datadir %(%{__pear} config-get data_dir 2>/dev/null || echo 'None')}
%{!?pear_xmldir:  %define pear_xmldir  %{pear_phpdir}/.pkgxml}

%define modn      Net_SMTP
%define modv      1.6.0
%define modp      %(echo %{modn} | cut -d'_' -f1)


Summary:          An implementation of the SMTP protocol for PHP
Name:             php-pear-%{modn}
Version:          %{modv}
Release:          1%{?dist}%{?pext}
License:          PHP
Group:            Development/Libraries
Source0:          http://download.pear.php.net/package/%{modn}-%{modv}.tgz
URL:              http://pear.php.net/package/%{modn}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Jon Parise <jon@php.net>
Provides:         php-pear(%{modn}) = %{modv}
Requires:         php >= 4.0.5
Requires:         php-pear(Auth_SASL)
Requires:         php-pear(Net_Socket) >= 1.0.7
Requires:         php-pear(PEAR) >= 1.4.3
Requires(post):   %{__pear}
Requires(postun): %{__pear}
BuildRequires:    php-pear(PEAR) >= 1.4.3
BuildArch:        noarch


%description
PEAR::Net_SMTP provides an implementation of the SMTP protocol using
PEAR's Net_Socket class.


%prep
%setup -q -c

[ -f package2.xml ] || %{__mv} package.xml package2.xml
%{__mv} package2.xml %{modn}-%{modv}/%{modn}.xml


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

pushd %{modn}-%{modv}
%{__pear} install --nodeps                \
	--packagingroot ${RPM_BUILD_ROOT} \
	%{modn}.xml

# Prepare docs
%{__rm} -rf docdir && %{__mkdir_p} docdir
%{__mv} ${RPM_BUILD_ROOT}%{pear_docdir}/* docdir

# Cleanup
%{__rm} -rf ${RPM_BUILD_ROOT}%{pear_phpdir}/.??*

# Install package spec
%{__mkdir_p} ${RPM_BUILD_ROOT}%{pear_xmldir}
%{__install} -m 0644 -p %{modn}.xml ${RPM_BUILD_ROOT}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only   \
	%{pear_xmldir}/%{modn}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ]; then	# Remove
  %{__pear} uninstall --nodeps --ignore-errors --register-only \
	%{modn} >/dev/null || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc %{modn}-%{modv}/docdir/%{modn}/*
%{pear_xmldir}/%{modn}.xml
%{pear_testdir}/%{modn}
%{pear_phpdir}/%{modp}


%changelog
* Mon Jun 20 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.0-1
- New version (1.6.0)

* Mon May 09 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.5.2-1
- New version (1.5.2)

* Fri Apr 08 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.5.1-1
- New version (1.5.1)

* Wed Feb 09 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.5.0-1
- New version (1.5.0)

* Tue Dec 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.4-1
- New version (1.4.4)

* Wed Oct 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.3-1
- New version (1.4.3)

* Thu Aug 05 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.2-1
- New version (1.4.2)

* Fri Dec 04 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.4-1
- New version (1.3.4)

* Tue Sep 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.3-1
- Initial build
